# Update a candidate

{% hint style="info" %}
&#x20; This endpoint requires `candidates_rw` or `my_candidates_rw` scope.
{% endhint %}

## candidate update

<mark style="color:orange;">`PUT`</mark> `https://www.welcomekit.co/api/v1/external/candidates/:reference`

#### Path Parameters

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| reference<mark style="color:red;">\*</mark> | string | Reference   |

#### Query Parameters

| Name                   | Type    | Description                                                        |
| ---------------------- | ------- | ------------------------------------------------------------------ |
| job\_stage\_id         | integer | Job stage id                                                       |
| email                  | string  | Email                                                              |
| firstname              | string  | First name                                                         |
| lastname               | string  | Last name                                                          |
| tag\_list              | string  | Comma separated list of tags                                       |
| subtitle               | string  | Subtitle                                                           |
| phone                  | string  | Phone number                                                       |
| remote\_image\_url     | string  | Avatar url                                                         |
| remote\_resume\_url    | string  | Resume url (file type: PDF, DOC, DOCX, ODT maximum file size: 5MB) |
| remote\_portfolio\_url | string  | Portfolio url (file type: PDF, maximum file size: 10MB)            |
| archived               | boolean | Archive user                                                       |
| media\_website         | string  | Candidate website url                                              |
| media\_github          | string  | Profile url on Github                                              |
| media\_stackoverflow   | string  | Profile url on Stackoverflow                                       |
| media\_dribbble        | string  | Profile url on Dribbble                                            |
| media\_behance         | string  | Profile url on Behance                                             |
| media\_linkedin        | string  | Profile url on Linkedin                                            |
| media\_facebook        | string  | Profile url on Facebook                                            |
| media\_instagram       | string  | Profile url on Instagram                                           |
| media\_medium          | string  | Profile url on Medium                                              |
| media\_tumblr          | string  | Profile url on Tumblr                                              |
| media\_vimeo           | string  | Profile url on Vimeo                                               |
| media\_twitter         | string  | Profile url on Twitter                                             |
| cover\_letter          | string  | Cover letter                                                       |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "reference": "wttj-d655345409a6097309156b05",
  "cover_letter": "",
  "created_at": "2016-08-23T12:55:27.206+02:00",
  "job_reference": "WTTJ_KmqkD1Y",
  "modal_path": "/dashboard/o/Pg4eV6k/jobs/WTTJ_KmqkD1Y/card/wttj-d655345409a6097309156b05",
  "portfolio_size": 4242,
  "portfolio_url": "http://cdn.com/porfolio.pdf",
  "resume_content_type": "application/pdf",
  "resume_size": 4242,
  "resume_url": "http://cdn.com/resume.pdf",
  "stage_id": 14600,
  "updated_at": "2016-08-23T12:55:27.206+02:00",
  "profile": {
    "address": null,
    "avatar_url": "http://wk.dev/assets/default-avatar-7cbb7b9749a7cf8864001cde13e2a9a94e612bf083430d66ede0966f5bafb296.png",
    "city": null,
    "country_code": null,
    "country_name": null,
    "email": "test@example.com",
    "firstname": "Foo",
    "lastname": "Bar",
    "phone": null,
    "subtitle": null,
    "zip_code": null
  },
  "origin": "external",
  "archived": false
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X PUT "https://www.welcomekit.co/api/v1/external/candidates/wttj-d655345409a6097309156b05" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d @- <<EOF
{
  "email": "test@example.com",
  "firstname": "Foo",
  "lastname": "Bar",
  "remote_resume_url": "http://example.com/resume.pdf",
  "remote_portfolio_url": "http://example.com/portfolio.pdf"
}
EOF
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/candidates-api/candidates/update-a-candidate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
